Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.amazonaws.services.s3.model
Enum StorageClass

    java.lang.Object
      java.lang.Enum<StorageClass>
          com.amazonaws.services.s3.model.StorageClass

All Implemented Interfaces:
  Serializable, Comparable<StorageClass>

    public enum StorageClass

extends Enum<StorageClass>

Amazon S3 offers multiple storage classes for customer's different needs. The standard storage class is the default storage class, and means that several redundant copies of your data will be stored in different locations.

The reduced redundancy storage class offers customers who are using Amazon S3 for storing non-critical, reproducible data a lower cost, highly available, but less redundant storage option.

Enum Constant Summary
`ReducedRedundancy` Reduced redundancy storage allows customers to reduce their storage costs in return for a reduced level of data redundancy.
`Standard` Standard storage is the default Amazon S3 storage class, and is recommended for critical, non-reproducible data.

Method Summary
`static StorageClass` | `fromValue(String s3StorageClassString)` Returns the Amazon S3 storage class enum value representing the specified Amazon S3 storage class ID string.
`String` | `toString()`
`static StorageClass` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StorageClass[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Standard

    public static final StorageClass Standard

  Standard storage is the default Amazon S3 storage class, and is recommended for critical, non-reproducible data. The standard storage class offers a highly available and highly redundant storage option for an affordable price.

### ReducedRedundancy

    public static final StorageClass ReducedRedundancy

  Reduced redundancy storage allows customers to reduce their storage costs in return for a reduced level of data redundancy. Customers who are using Amazon S3 for storing non-critical, reproducible data can now choose a lower cost, highly available, less redundant storage option.

Method Detail

### values

    public static StorageClass[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StorageClass c : StorageClass.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StorageClass valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### fromValue

    public static StorageClass fromValue(String s3StorageClassString)
                                  throws IllegalArgumentException

  Returns the Amazon S3 storage class enum value representing the specified Amazon S3 storage class ID string. If specified string doesn't map to a known Amazon S3 storage class, then an IllegalArgumentException is thrown.

  Parameters:
    `s3StorageClassString` - The Amazon S3 storage class ID string.
  Returns:
    The Amazon S3 StorageClass enum value representing the specified Amazon S3 storage class ID.
  Throws:
    `IllegalArgumentException` - If the specified value does not map to one of the known Amazon S3 storage classes.

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<StorageClass>`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.